curl --request POST \
--url https://api.example.com/api/v2/deployments/{deploymentId}/projects/{projectId}/scans/list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"cursor": "<string>",
"limit": 100,
"filters": {
"branch": "refs/heads/main",
"createdSince": "2019-08-24T14:15:22.000Z",
"duration": {
"min": 12.5,
"max": 60
},
"includeEnabledProducts": [
"PRODUCT_SAST",
"PRODUCT_SECRETS"
],
"statuses": [
"SCAN_STATUS_RUNNING",
"SCAN_STATUS_COMPLETED"
],
"types": [
"SCAN_TYPE_FULL"
]
}
}
'import requests
url = "https://api.example.com/api/v2/deployments/{deploymentId}/projects/{projectId}/scans/list"
payload = {
"cursor": "<string>",
"limit": 100,
"filters": {
"branch": "refs/heads/main",
"createdSince": "2019-08-24T14:15:22.000Z",
"duration": {
"min": 12.5,
"max": 60
},
"includeEnabledProducts": ["PRODUCT_SAST", "PRODUCT_SECRETS"],
"statuses": ["SCAN_STATUS_RUNNING", "SCAN_STATUS_COMPLETED"],
"types": ["SCAN_TYPE_FULL"]
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
cursor: '<string>',
limit: 100,
filters: {
branch: 'refs/heads/main',
createdSince: '2019-08-24T14:15:22.000Z',
duration: {min: 12.5, max: 60},
includeEnabledProducts: ['PRODUCT_SAST', 'PRODUCT_SECRETS'],
statuses: ['SCAN_STATUS_RUNNING', 'SCAN_STATUS_COMPLETED'],
types: ['SCAN_TYPE_FULL']
}
})
};
fetch('https://api.example.com/api/v2/deployments/{deploymentId}/projects/{projectId}/scans/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"scans": [
{
"id": "12345",
"deploymentId": "1605",
"projectId": "7884",
"branchId": "7890",
"commit": "abcdef1234567890",
"startTime": "2023-11-18T23:28:12.391Z",
"completeTime": "2023-11-18T23:30:12.391Z",
"exitCode": 0,
"isFullScan": true,
"duration": 501.4,
"findingsCounts": {
"total": 10,
"code": 5,
"supplyChain": 3,
"secrets": 2
},
"status": "SCAN_STATUS_RUNNING",
"enabledProducts": [
"PRODUCT_SAST",
"PRODUCT_SCA",
"PRODUCT_SECRETS"
]
}
],
"cursor": "<string>"
}List Scans
List the scans associated with a particular project from the past 30 days.
Authorizations
Get access to data with your API token. Example header:
Authorization: Bearer 2991e2fb4b540fe75b8f90677b0b892b6314e4961cb001fe6eb452eee248a628
The token can be provisioned from the Tokens section in your Settings, and requires explicitly enabling Web API access.
Path Parameters
The unique numerical identifier of your deployment. Can be found via the Deployments Service or in your Settings in the web UI.
"1234"
The unique numerical identifier for the project that was scanned. Can be found via the Projects Service, or in the Projects panel in the web UI.
"5678"
Body
Include the cursor from the previous response to paginate through the results
Number of scans to return per page. Default is 100, max is 500.
100
Specify some or all of these optional filters to narrow down the results.
Show child attributes
Show child attributes
Was this page helpful?